/*
 * TransactionManagerStats.java
 *
 * Created on 2007-okt-05, 11:20:04
 *
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.jvnet.glassfish.comms.admin.monitor;

import javax.management.j2ee.statistics.CountStatistic;
import javax.management.j2ee.statistics.Stats;


/**
 *
 * @author erapdan
 */
public interface TransactionManagerStats extends Stats {
    public CountStatistic getSipClientTransactions();

    public CountStatistic getSipServerTransactions();

    public CountStatistic getTotalSipTransactionCount();

    public CountStatistic getTotalSipTransactionTime();
}
